.\" ================================================
.\" OPTION FLAG MACRO      .Of -x [arg]
.\" Borrowed from man2html source man page.
.de Of
.ie \\n(.$==1      \%[\|\fB\\$1\fR\|]
.el .if \\n(.$==2  \%[\|\fB\\$1\fR\0\fI\fI\\$2\fR\|]
..
.\" ================================================
.\" SYNOPSIS START MACRO
.\" Borrowed from man2html source man page.
.de Ss				.Ss name
.na
.nr aA \w\\$1\\0u
.in +\\n(aAu
'ti -\\n(aAu
.ta  \\n(aAu
\&\fB\\$1\fR\t\c
..
.\" ================================================
.\" SYNOPSIS END MACRO
.de Se				.Se
.ad
.in
..
.\" ================================================
.\"
.TH XNOTESPLUS 1 "23 May 1999" Unix/X11R5-R6
.SH NAME
.na
xnotes+ \- X window system sticky notes
.SH SYNOPSIS
.na
.Ss xnotes+
.Of -c 
.Of --sb 
.Of --sv 
.Of --ns 
.Of --na 
.Of --nn 
.Of --help/-?/-h 
.Of --bs bufsize 
.Of --notedir notedir 
.Of --interval seconds 
.Of --nw pixels 
.Of --ao pixels 
.Of --tmpdir tmpdir 
.Of --printcmd cmd 
.Of --emailcmd cmd 
.Of --calendarcmd cmd 
.Of --homedir path 
.Of --xpmdir dir 
.Of --audiocmd cmd 
.Of --audiodir dir 
.Of --noaudio 
.Of --addrdir dir 
.Of --pilotdir dir 
.Of --rgbfile path 
.Of --defaults 
.Of --install 
.Of --version 
.Se

.SH DESCRIPTION
.I XNotesPlus
(also referred to as xnotes+, which is the actual name of the program file)
is another Sticky Notes program, but it's really much more than that.  
Aside from providing the expected text editing capabilities, XNotesPlus
provides tools for managing notes, both individually and in groups (known
as "Projects").  Notes can be hidden, searched, cascaded, printed, and 
emailed.  All notes have titles and each can have its own audio/visual
alarm.  Calendars and dates, both local and in GMT, can be inserted at any
point.  You can even import text files directly into the notes.

.PP

The "plus" side of XNotesPlus includes its interface with the 3Com PalmPilot(R)
handheld PDA (personal digital assitant).  You can upload XNotes to the
Pilot, download Pilot Memos into XNotes, do backups and syncing of backups
of your Pilot, and retrieve (later to upload) data from the Pilot's Address
database.  The Pilot Address database is fully supported under the Address
Manager, which provides an interface much like the Pilot's for listing
entries in the database.  Additionally, you can filter the entries, making
it much easier to find a particular entry in any given category.  
Another plus is the Envelope printing feature.  This feature is linked
directly to the Address Manager, so selecting an entry there will
automatically update the To field in the Envelope dialog.  The Email dialog
is also linked to the Address Manager, so finding an address to email a
note is now much easier!

.PP
Note:  
Envelope printing makes use of the Nenscript tool, the source of which is
included with XNotesPlus.  The Pilot Tool feature is a wrapping around the
very useful PilotLink set of tools.  These, however, are not included with
the XNotesPlus source.

.PP
Each individual note, referred to as "XNotes", is a seperate window on 
the screen.  When
.I xnotes+
is first invoked, it creates a small window, known as the Plaid Window,
with the XNotesPlus logo
(historically, this window used to have the 3M Plaid logo, but I changed it
so 3M wouldn't be upset with me).
This is the plaid window for
.IR xnotes+ .
If any notes were previously saved (see below) then they 
will be placed on the screen at their last locations,
unless they were hidden when last saved (see below).
The Plaid Window is the main plaid window for
.I XNotesPlus.
To access basic features, the right mouse button is clicked, opening
the main menu.  This menu provides access to the main features, such as
creating new notes, managing the notes in general and access to the Palm
Pilot and Address Manager features.

.PP
XNotePlus is available with either a Motif (or LessTif) interface or one
based on Gtk.  This choice, along with a series of other options, can be
configured at compile time.  See the config.h file for details.


.SH OPTIONS
.PP
.I XNotesPlus
has a very large number of command line options.  In the Motif version you
can use the application defaults file instead of the command line options
to set these.  In the GTK version you can use the XNotesPlus.cfg file.
The command line options will override configuration file settings.
The Motif version of 
.I XNotesPlus
accepts all of the standard X Toolkit command line options (such as
-geometry), and both
versions accept the additional options listed below.  Since the 3.0 release,
all command line options, in both versions, use two dashes (--) instead of
one (as the previous versions had done).

.TP 8
.B \-c
Enables compatibility mode.  Initially this was for notes created using
the %! magic cookie, ie Version 2.0 and Version 2.1.  
In XPostitPlus 2.2 this was 
changed to %%!! because
the original cookie was the one being used for Postscript files.  In 
the future this mode may cover other items that are not compatible
between versions/releases.
Yes, this option is the only one that still accepts a single dash.

.TP 8
.B \--sb
Depricated - no longer used in XNotesPlus.

.TP 8
.B \--sv
Enables save-on-exit.  When specified, this option tells
.I xnotes+
to save all XNotes to disk when exiting.  If not specified,
notes can be saved to disk manually by the user (using the Save All Notes
main menu option) or via the AutoSave feature (autosave will save notes
automatically at the intervals specified with the --interval).
It is useful to specify this option since hidden notes cannot be saved
unless either the "Save All Notes" option is used or the autosave option
has not been disabled.  It's also helpful to use this option since its not 
guaranteed that the autosave feature
will have saved all notes since their last updates when xnotes+ exits.

.TP 8
.B \--ns
Disables the autosave feature.

.TP 8
.B \--na
Disables alarms.

.TP 8
.B \--nn
Disables the opening dialog about what features have been disabled.

.TP 8
.B \--help | -? | -h
Displays a usage message.

.TP 8
.BI \--bs " number"
Depricated - no longer used in XNotesPlus.

.TP 8
.BI \--notedir " dir"
Specifies the directory to load and save notes.  If
.I path
begins with a `/' it is taken as-is; if it does not begin with a `/',
the path is taken relative to the home directory.
If the named directory does not already exist, then
.I xnotes+
attempts to create it.  The default is
.IR \&.xnotesplus .

.TP 8
.B \--interval
Sets the timeout interval (in minutes) for when the autosave timeout should
expire.  When this timer expires, all notes are automatically saved to disk.
The default value is 10 minutes.

.TP 8
.BI \--nw " pixels"
Depricated - no longer used in XNotesPlus.

.TP 8
.BI \--ao " offset"
The offset is specified in pixels and is used to determine the X and Y
offsets from an anchor note for a note being cascaded.  The default value
is 15 pixels.

.TP 8
.BI \--tmpdir " path"
Specifies the path name of the directory to use for temporary files.
By default ``/tmp'' is used.

.TP 8
.BI \--printcmd " cmd"
This must be a quoted command string that can be used as the format string
to sprintf().  It must include "%s" for the temporary file name used when
printing a note.  The buffer created with sprintf(), this option value, and
the temporary file name is passed to the system() call to print the note.
By default, the printcmd value is ``lpr %s''.

.TP 8
.BI \--emailcmd " cmd"
The "Email" option from the notes menu will
pop up a window prompting for an email address.  The --emailcmd command
line option or .emailCmd resource can be set to your systems mailer
command.  The mailer must accept the text of the mail via standard
input (actually as a pipe from "cat tmpfile").
"cmd" must be a Unix style command in printf() format.  See the section
on \fIConfiguring the mailer\fP.

.TP 8
.BI \--emailaddr " address"
Use the specified address as the default address to display in the Email
dialog window.  This can be overridden by typing in a new address or using
the Address Manager to find another email address.

.TP 8
.BI \--calendarcmd " cmd"
This is the command used to produce a calendar for the current month.  On
most Unix systems this will be ``cal'', which is the default.  The output 
from this command is redirected to a temporary file and then inserted into
a note at the current cursor location.

.TP 8
.BI \--homedir " path"
Specifies the base directory from which the File Selection Window will
look for files and directories.  If not specified, and the associated
resource 
.I .homeDir 
is not set then the environment variable 
.B HOME
is used.  If this is not set either, then the File Selection Window uses
the root (/) directory as its start point.

.TP 8
.BI \--xpmdir " dir"
Where XNotesPlus bitmaps can be found.  This is normally a subdirectory 
under the ``notedir'' directory.

.TP 8
.BI \--audiocmd " cmd"
Command to run audio files (use %s for audio file).

.TP 8
.BI \--audiodir " dir"
Where audio files are stored.  This is normally a subdirectory under the
``notedir'' directory.

.TP 8
.BI \--noaudio 
Disable audio for alarms.

.TP 8
.BI \--addrdir " dir" 
Where address files are stored.  Not currently used.

.TP 8
.BI \--rgbfile " path" 
Fully qualified path to rbg.txt file.  Only useful for the Motif version.

.TP 8
.BI \--pilotdir " dir" 
Directory to save PalmPilot backups to.  This is normally a subdirectory
under the ``notedir'' directory.

.TP 8
.BI \--defaults 
Show configured defaults for all parameters.  Normally this is just used for
development work, but it is useful to see what the program options are set
to when things aren't working as you expect them to.

.TP 8
.BI \--notips 
Disable the Tool Tips.  This can be turned on and off at run time.  This
option can be used to set the initial state of the Tool Tips.

.TP 8
.BI \--install 
Install a private colormap for XNotesPlus.  May help on low color displays,
although XNotesPlus really doesn't use that many colors.  This is only
meaningful to the Motif version.

.TP 8
.BI \--version
Displays the current version of xnotes+.


.SH "MOTIF APPLICATION RESOURCES"
.PP
The Motif version of
.I XNotesPlus
understands all of the core X Toolkit resource names and classes as well
as those listed below,
which are all of class
.BR XNotesPlus.
All of the resources listed are also available as command line arguments
and can be specified using the ``XNotesPlus'' resources file.  This file,
which is simply the XNotesPlus.ad file from the source distribution renamed
(according to X standard naming conventions), 
should be installed, but only if modified by the user, in the users 
$HOME/app-defaults directory. The XAPPLRESDIR environment variable should
be set to that same directory name.
.PP
The file XNotesPlus.ad in the srcm-d directory of the source code
distribution can be edited prior to compiling.  If you do this, then
XNotesPlus will be compiled with these settings and you don't need to
install this file in your $HOME/app-defaults file.
.PP
The resources below are listed with their respective command line arguments.
See the 
.B OPTIONS
section for details on their meanings.

.TP 8
.B \&.compatibility
Command Line Option: -c

.TP 8
.B \&.scrollBar
Command Line Option: --sb

.TP 8
.B \&.saveNotes
Command Line Option: --sv

.TP 8
.B \&.noSave
Command Line Option: --ns

.TP 8
.B \&.noAlarm
Command Line Option: --na

.TP 8
.B \&.noNotice
Command Line Option: --nn

.TP 8
.B \&.bufSize
Command Line Option: --bs

.TP 8
.B \&.noteDir
Command Line Option: --notedir

.TP 8
.B \&.interval
Command Line Option: --interval

.TP 8
.B \&.nameWidth
Command Line Option: --nw

.TP 8
.B \&.anchorOffset
Command Line Option: --ao

.TP 8
.B \&.tmpDir
Command Line Option: --tmpdir

.TP 8
.B \&.printCmd
Command Line Option: --printcmd

.TP 8
.B \&.emailCmd
Command Line Option: --emailcmd

.TP 8
.B \&.calendarCmd
Command Line Option: --calendarcmd

.TP 8
.B \&.homeDir
Command Line Option: --homdir

.TP 8
.B \&.xpmDir
Command Line Option: --xpmdir

.TP 8
.B \&.audioCmd
Command Line Option: --audiocmd

.TP 8
.B \&.audioDir
Command Line Option: --audiodir

.TP 8
.B \&.noAudio
Command Line Option: --noaudio

.TP 8
.B \&.addrDir
Command Line Option: --addrdir

.TP 8
.B \&.rgbFile
Command Line Option: --rgbfile

.TP 8
.B \&.pilotDir
Command Line Option: --pilotdir

.TP 8
.B \&.noTips
Command Line Option: --notips

.TP 8
.B \&.install
Command Line Option: --install

.PP
Note that it doesn't make any sense to specify the Help, Version, or
Defaults resources in the ``XNotesPlus'' application resources file since
all of these will cause
.I XNotesPlus
to immediately exit.

.SH "GTK RESOURCES"
.PP

The Gtk version can be configured in two ways.  The first is the standard
gtkrc file, which describes the look and feel of the buttons, labels, etc.
The gtkrc file should be stored in the ``notedir'' (see the OPTIONS section).
.PP
The other cofiguration file, XNotesPlus.cfg, works like the Motif
Application Resources file.  This file is fairly well self explanatory, but
here are the basic meaning of all the options available from within this
file.  Options in this file are either "Yes" or "No".  The meaning of Yes
and No depends on the option.  This is all described in better detail in
the file itself.
.PP
Note:  The name of the gtkrc file can be changed using the appropriate 
XNotesPlus.cfg option.

.TP 8
.B \&.HomeDir
Command Line Option: --homedir

.TP 8
.B \&.TmpDir
Command Line Option: --tmpdir

.TP 8
.B \&.NoteDir
Command Line Option: --notedir

.TP 8
.B \&.XPMDir
Command Line Option: --xpmdir

.TP 8
.B \&.AudioDir
Command Line Option: --audiodir

.TP 8
.B \&.PilotDir
Command Line Option: --pilotdir

.TP 8
.B \&.AddrDir
Command Line Option: --addrdir  (not currently used)

.TP 8
.B \&.NoAudio
Command Line Option: --noaudio

.TP 8
.B \&.SaveInterval
Command Line Option: --interval

.TP 8
.B \&.SaveExit
Command Line Option: --sv

.TP 8
.B \&.AutoSave
Command Line Option: --ns

.TP 8
.B \&.Alarm
Command Line Option: --na

.TP 8
.B \&.Notice
Command Line Option: --nn

.TP 8
.B \&.AudioCmd
Command Line Option: --audiocmd

.TP 8
.B \&.PrintCmd
Command Line Option: --printcmd

.TP 8
.B \&.CalendarCmd
Command Line Option: --calendarcmd

.TP 8
.B \&.EmailCmd
Command Line Option: --emailcmd

.TP 8
.B \&.EmailAddr
Command Line Option: --emailaddr

.TP 8
.B \&.GtkRC
Command Line Option: --gtkrc


.SH "WINDOWS AND DIALOGS"
.PP
.I XNotesPlus
uses several windows to manage the notes and access other features.  These
include the Plaid Window, the XNotes windows, 
the Address Manager and Print Envelopes window, the
PalmPilot Interface window, the Projects windows, the Alarm window and file
selection windows, along with various dialogs for text input and ordinary
messages.

.SH "THE PLAID WINDOW"
.PP
The Plaid Window is the small window that opens when you start the
program.  It is a relatively small window whose maximum size is fixed
(it can be made smaller using window manager controls, if desired).
.I XNotesPlus
allows four operations to be performed from its Plaid Window.
Clicking (ie pressing and then releasing) the left mouse button 
in the plaid window will cause all XNotes
on the screen to be raised to the top - that is, they rise above all
other windows on the display.
Pressing the middle mouse button in the plaid window will cause all XNotes
notes on the screen to be lowered to the bottom of all other windows.
Pressing the right mouse button in the plaid window opens the
.I xnotes+
main menu.  Finally, pressing the left mouse button down, holding it there, and
dragging it out of the Plaid Window will open a new note window.  This is
called "tearing off" a new note.  Once the note is opened you can release
the mouse button.

.PP
Users with 2 button mice will need to check with the X Server documentation
as to how a 3 button mouse can be emulated and how the 2 buttons will be mapped
to match a 3 button mouse.

.SH "THE XNOTES+ MAIN MENU"
.PP
The
.I xnotes+
main menu provides the following selections:

.TP 8
.B "Create Notes"
A submenu of different note sizes you can pick from to create new notes.

.TP 8
.B "Raise All Notes"
Raise all XNotes to the top of all other windows.
This is equivalent to pressing the left mouse button in the plaid window.

.TP 8
.B "Lower All Notes"
Lower all XNotes so they are below all other windows.
This is equivalent to pressing the middle mouse button in the plaid window.

.TP 8
.B "Save All Notes"
Save all XNotes to disk.  The directory used is specified either with
--notedir or with .noteDir in the XNotesPlus application defaults file, or
the NoteDir option in the XNotesPlus.cfg configuration file for Gtk.
Notes are saved only if they have been modified and not previously saved
since that modification.

.TP 8
.B "Unhide All Notes"
All notes that have been hidden will be unhidden.  

.TP 8
.B "Hidden Notes"
Pops up a scrolled list of all notes that are currently hidden.
The list contains the names of the notes so it is wise to give a note
a meaningful name (using the Name option from the pull-down menu of each
note) before it is hidden.  If no notes are hidden then an error message is
displayed stating this fact.

.TP 8
.B "Cascade Notes"
Each note can be ``anchored''.  If one or more 
notes are anchored and the "Cascade" option is chosen from the xnotes+
main menu, then all the visible notes are cascaded onto the anchored notes.  An
attempt is made to distribute all visible notes evenly amongst all the
anchored notes.  Each note also has an "unanchor" option as well.  Only
one of "anchor" or "unanchor" is sensitive for any given note.
Hidden notes are not affected by the cascade feature.
The default
offset for cascaded notes (from the anchored note) is 15 pixels.  This can be 
changed with the -ao option or the .anchorOffset resource.

.TP 8
.B "Find A Note"
If you "lose" a note and want to bring it up at the cursor, select
``Find A Note'' from the xnotes+ main menu.  A pop up list of all notes will
be presented.  Select the note you want and if it will
pop up at the cursor.   Selecting a note from the list will also close this
dialog window.
The ``Cancel'' button will close the dialog if no note is selected.

.TP 8
.B "Address Manager"
This option opens the Address Manager dialog.  From here, you can access
all your Pilot Address database entries, using much the same format used in
the Pilot.  Additionally, you can filter the list of addresses shown for the
specified category using the ``Filter On...'' and ``Filter'' text entry field.
From the Address Manager, you can also call up the Print Envelopes dialog,
which allows you to print simple envelopes using the currently selected
address from the Address Manager.  See the section on the
.B Address Manager and Printing Envelopes.

.TP 8
.B "Projects"
The Projects dialog.  This allows you to define projects and assign them
colors.  All XNotes can be assigned to any project.  Once assigned,
they take on the color of that project so they become easier to associate
with one another.  This feature is discussed in more detail in the section
titled
.B Projects.

.TP 8
.B "Pilot Tool"
The Pilot Tool dialog allows you a limited set of features to manage your Palm
Pilot.  These features are discussed in the section on the 
.B Pilot Tool.

.TP 8
.B "Enable/Disable Tool Tips"
By default, tool tips are enabled.  These are the small windows that pop
open when you place the mouse over certain buttons, lists, or other window
components.  Currently, tool tips are available in places where the use of
a button or list might not be obvious.  Once you've learned to use these
features you can disable the tool tips.  This menu option will turn tool
tips on or off while the program runs, but you can also specify the initial
state of the tool tips with either a command line option or an application 
resource (Motif) or config file (GTK) entry.

.TP 8
.B Exit
Exit
.I xnotes+.
If the
.B \--sv
command line option was given, or the
.B saveNotes
resource is
.B true,
all XNotes will be saved to disk first.  Otherwise you will be prompted to
save any notes that have recently been modified and not yet saved.

.PP 
.B The Create Notes Submenu
This menu allows you a choice of creating a few different sizes of notes.
The sizes of the notes, specified in inches, is actually fairly accurate, 
although probably not exact.
XNote windows may or may not need to be positioned using the window manager.
This depends on the window manager you are using and the use of dynamic
placement features within that window manager.  If possible (and/or
necessary), you should
turn dynamic window placement off for XNotes so that the notes will pop up
in their old spots.
.PP
.TP 8
.B "Create 1.5x2 Note"
Create a new XNote, 1.5 inches tall by 2 inches wide.
.TP 8
.B "Create 2x3 Note"
Create a new XNote, 2 inches tall by 3 inches wide.
.TP 8
.B "Create 3x3 Note"
Create a new XNote, 3 inches square.
.TP 8
.B "Create 3x4 Note"
Create a new XNote, 3 inches tall by 4 inches wide.
.TP 8
.B "Create 3x5 Note"
Create a new XNote, 3 inches tall by 5 inches wide.
.TP 8
.B "Create 4x6 Note"
Create a new XNote, 4 inches tall by 6 inches wide.
.PP
The default size for a note created by dragging the mouse, left button
down, out of the Plaid Window is 3x3.


.SH "THE HIDDEN NOTES LIST"
.PP
This dialog pops up from the ``Hidden Notes'' option of the xnotes+ main menu.
The list is a scolled list of all notes that are currently hidden.  If
there are not enough hidden notes to fill the visible list then no
scrollbar will be present.  If more hidden notes exist than can fit in the
visible list, then a scrollbar will become available for you to scroll
through the list.

.PP
Note that currently if you have this window open and then hide a note, that
note will not automatically show up in the list.  In this case you need to 
close the list window and then reopen it.


.SH "XNOTES"
.PP
Each XNote is made up of two parts (plus the scrollbar):
A text window where the text of the note is stored and a menu bar.
To enter text into an XNote,
simply move the mouse cursor into the text window and start typing.
Use the mouse buttons and arrow keys to move around the window and
for manipulating the selections for cut-and-paste operations.
A number of translations - ie keyboard shortcuts - are available.  See the
section on 
.B Keyboard Shortcuts
for more details.

.PP
The menu bar has four icons, each with its own menu.
The first two icons are, by default, small gray circles.  The leftmost
circle is for 
.I alarms, 
the next one for 
.I anchors.  
The next icon, the 
.I file
icon is for file operations such as saving or emailing the note.  The last
icon is the 
.I notes 
icon, which is used to access features such as naming the
note, assigning it to a project or inserting a calendar.

.PP
Clicking the left mouse
button on the first icon shows the alarms menu.  There are two options:
.I Set Alarm 
and 
.I Disable Alarm.
To set a notes alarm, select ``Set Alarm'' from the alarms pull down
menu.  A window pops up with month, day, hour and minute fields.  The
default for each of these is the last alarm time that had been set (if no
alarm had ever been set for a note then the time is actually the time the
note was created).  Use the arrow buttons on either side of each value
to set each field
to the day and time you wish the alarm to go off.  You can use
the Toggle button to reset the fields to the current time.  When the alarm
expires, a small window will pop up reminding you for which note the alarm
had been set.

.PP
Beneath the alarm settings is a scrolled list of audio files you can choose
to play when the alarm goes off.  You don't have to play an audio file, its
just available if you'd like to.  A few default audio files should have
been in the distribution you received.  If you choose an audio file to
play you will also need to select the number of times to play it.  The 
.I Repeat
field should be set to something other than 0 or else the audio alarm won't
play.

.PP
Playing audio alarms requires that an application that can play the files
be installed and XNotesPlus is configured to use it properly.  See the
section on 
.B Configuring The Audio Command.

.PP
If you wish to
save this value between invokations you should use either the notes
``Save'' option or the ``Save All Notes'' option from the plaid windows menu.
When a notes alarm is set the gray icon will be replaced with an icon of a 
clock (or wristwatch, if you like).
.PP
To turn off the a notes alarm, select ``Unset Alarm'' from the 
menu.  This will disable the alarm for that note and remove the clock
icon from the menu bar, returning it to the gray circle.

.PP
Next to the alarms menu is the anchor menu.  This menu has only two options:
Set Anchor and Disable Anchor.  These do pretty much as you'd expect.  An
anchored note is one that will be at the bottom of the stack of notes when
you cascade them.  Only one of the two options in this menu will be active
at any given time.  If the "Set Anchor" option is active, then the note is
not currently anchored.  If the "Disable Anchor" is active, then the note
is currently set as an anchored note.  When anchored, the anchor icon
changes from the gray dot to an icon in the shape of an anchor.

.PP
The 
.I File 
menu contains options pertaining to file input and output:

.TP 8
.B "Save"
After entering text in the XNote,
you may wish to save the note in a disk file using the file menus
``Save'' option.  This way, if the machine goes down, or if you exit
.IR xnotes+ ,
the note can be restored when you restart
.IR xnotes+ .
XNotes are also saved automatically (if
.B saveNotes
is true) if a SIGHUP, SIGINT, SIGTERM, or SIGQUIT signal is received.
Using "kill -9" on the 
.IR xnotes+ 
process, however, will not allow changes to
be saved.  Thats a design intent in Unix - its just the way Unix signals work.
If you need to kill xnotes+ manually, use the "kill -s HUP " or "kill -s
TERM" commands instead, and only use "kill -9" if all else fails.

To save the note to a disk file, click on the file icon and
drag the mouse cursor to the menu item labeled ``Save'', then release the
mouse button.  The note will be saved as the file ``note\fIn\fP'' 
in your notes directory, where
.I n
is some sequence number.  Saving a note means to save it in the XNote
format under whatever directory has been configured using the --notedir
command line option, the .noteDir application default setting (for Motif
only), the noteDir config file entry (for GTK only) or the default setting.
.sp 2
Note that the ``Save'' menu item will not allow you to save unless
something has been typed in the text window of the note, the name of the note
has been changed, the project has changed for the note,
or the text of the note has been erased.  This is a good way of
checking if you've made changes to the note.  If the Save menu item is
"insensitive" (grayed-out) then you haven't made any changes to the Text
of the note.

.BR \s-1NOTE\s0 :
it is important to remember that 
if you have disabled the auto-save (--sv) feature then the note will not be
saved until you have pressed the ``Save'' button.
You can also make sure changed notes get saved on exit by enabling the 
\fISave on Exit\fP feature.

.TP 8
.B "Open"
Used for importing a file into the note.  The imported file must be an
ordinary text file or the results of importing will be indeterminate.  The
imported file is inserted at the current cursor location.  See the section 
on the \fBFile Selection Window\fP for more details.


.TP 8
.B "Export"
Used for saving the text contents of the note to a non-XNotes (ie a regular)
file.  Only the text of the note is saved.  Project and note name
information is not exported.  Again, see the section on the
\fFile Selection Window\fP for more details on how to use that window.

.TP 8
.B "Find"
Simple search utility that will find a specified string in the note from
which the Search dialog was opened.  The search can be done forward from
the current cursor location or backwards.  The search does not wrap when it
reaches the end or beginning of the note.  Searches are currently case
sensitive.

.TP 8
.B "Print"
Prints the note using the defined printer command.  See the --printcmd
command line option for details on configuring this.  Selecting this option
causes the note to be printed immediately, if possible.  No dialogs are
opened with the Print option.

.TP 8
.B "Email"
Opens a small window in which you can type or select an email address.
When you click on the Accept button the note is emailed to the 
specified recipient using the notes name as the subject of the message.
Typing in an address in the text field and then hitting ENTER will also
email the message.  An address must be specified or an error message will
pop up if you hit Accept or the ENTER key.  The list of email addresses
gets populated when this window is used in conjunction with the Address
Manager.  Selecting an entry from the Address Manager that has one or email
addresses associated with it will have those addresses added to the list of
email addresses in the Email dialog.

.PP
The 
.I Notes 
menu contains items for managing individual notes:  
Hide, Erase, Destroy, Name, Project,
Insert Calendar and Insert Date.

.TP 8
.B "Hide"
To hide a note, you can 
click on the Notes menu icon and select it's ``Hide'' menu item.
This will cause the note to disappear from the screen.  The note is still
available, it's just not visible.  To bring the note
back, select the ``Hidden Notes'' option from the Plaid Window's main menu.
Then select the note you wish to make visible again.
.BR \s-1NOTE\s0 :
A hidden note will not stay hidden between
.IR xnotes+
sessions unless you have saved the note.  Saving a hidden note can only be
done using either the autosave features or
the option to save on exit (see discussion above) have been set
or by using the Plain Window's ``Save All Notes'' menu option.

.TP 8
.B "Erase"
To erase the entire contents of the text window, you can 
click on the Notes menu icon and select the ``Erase'' menu item.  The erase is
performed immediately and cannot be undone.
.BR \s-1NOTE\s0 :
erasing the text in the window does not affect any contents of the note
you have saved on disk unless you press the ``Save'' button again.

.TP 8
.B "Destroy"
To destroy an XNote,
getting rid of its window on the screen and the disk file it is saved in,
click on the notes icon and select the ``Destroy'' menu item.
This will bring up a confirmation window with an ``Accept'' and a ``Close''
button.  Clicking on accept will close the window and remove the associated
file from disk.  This process cannot be undone.  The close button will cancel
the destroy operation.

.TP 8
.B "Name"
A notes name appears on the window managers title bar (if you have these
displayed - check your window manager configuration guides for information
on enabling or disabling these).  To rename a note, you can 
click on the notes icon and select the ``Name'' menu item.
This will bring up a dialog box,
which has two buttons labeled ``Confirm'' and ``Cancel'' as well
as a field to enter text for the new name.
If you press the ``Confirm'' button,
the new name will be placed in the title bar of the note.
If you press the ``Cancel'' button, the operation is canceled.
If you type in a name in the text field and then hit ENTER, this has the
same effect as hitting ``Confirm'' button and the name of the note will be
changed.

.TP 8
.B "Project"
The Project option in the notes menu allows you to select one of the
previously configured projects to associate with this note.  The dialog is
similar to the one accessed from the Plaid Window's main menu except this 
one does not
allow you to modify the projects.  You can only select a project here.
Once selected, the notes background color will change to match the selected 
project.

.TP 8
.B "Insert Calendar"
To insert a copy of the current calendar month in the text select the
``Insert Calendar'' option from the notes menu.  The text will be inserted at
the current cursor location, so you should be sure to position the cursor
first.  You can position the cursor by just clicking in the text window of
the note.

.TP 8
.B "Insert Date"
Adding the date and time is done using the ``Insert Date...'' option from the
notes menu.  A dialog box providing a variety of formats is presented.
Select the format desired by clicking on the 
format string and then click on "Accept".  The text string will be inserted
at the current cursor location.  
You can also choose between using abbreviated and full Weekday and Month
names, and between using the computer's local time or convert the time to
GMT (Greenwich Mean Time).  Be sure to position the cursor in the
note text prior to clicking on Accept.

.SH "USING THE FILE SELECTION WINDOW"
.PP
The File Selection Window will be either the well known Motif or Gtk
version.  
In the Motif version, a text field
at the top of the window can be used to filter the current directory.  The
left-side scrolled window is the set of directories available from the
current directory and the right side (if shown) is the list of files in
that directory.  Double clicking in either window will select the
appropriate directory or file.

.PP
In the Gtk version, you can do pretty much the same thing, but to filter
you simply type in a name in the Selection text field and type a TAB.  This
will update the directory and file lists.  Hitting the ENTER key will do
the same thing unless the name in that field is an existing file.  In that
case, the file is selected for whatever purpose the window was opened.
You can also create directories and delete files from this dialog, if
desired.

.PP
The File Selection windows are used for saving, opening, and exporting files.
It is also used by the Pilot Tool feature to select a directory in which to
store backups.  In this latter case the right-side scrolled window (the one
that list files in the current directory) will not be displayed.  This is
because with the Pilot Tool feature you only need to select a directory to
use.

.PP
Clicking on a entry in the scrolled window of filenames will cause that file to
be selected.  If you are opening a file then the file chosen will be added
to the current note at the location of the cursor in that note.  Be sure to
set the cursor to where you want to import text before opening a file.  If
you are exporting a file then the text of the file will be written to the
file chosen. If the file already exists then you will be prompted as to
whether you really want to overwrite it or not.

.SH "CONFIGURING THE MAILER"
.PP
In order to use your systems mailer with the Email feature of 
.BR XNotesPlus,
you need to configure the appropriate mailer command using either the -emailcmd
command line option, the .emailCmd resource (for Motif) or the EmailCmd 
entry in the config file (for GTK).   The format for 
these is the same:  a double-quoted string which contains the name of the
mailer command, the option for providing the subject line, and the
addressee.  By default the Unix command "mail" is used.  For most users
this default will work just fine and you don't need to change a thing.

.PP
If you wish to use another mail command, or if for some reason the ``mail''
program is not on your system, you can configure 
.BR XNotesPlus
accordingly.  Note:  the following discussion is a little technial and
intended for those people who understand a little about C programming.
.PP
The default email command is defined in
the XNotesPlus application defaults file (and in the source code 
fallback resources) as:
.sp 2
.in +10
"mail -s\\"%s\\" %s"  
.in -10
.sp 2
The format is the standard format used by printf().  The first string 
parameter is the subject line.   The backslashes are required so that the
following double quotes are passed properly to the command.  If these are
left out the subject will be truncated to the first word of the first
string parameter and an attempt will be made by the mailer to send mail to
non-existant recipients. 
The second string is the addressee.  The order of the string parameters
is significant (subject first, addressee second) - it must be this order no
matter what mailer you use.  The mailer command must also
accept the text of the mail via standard input.  This too is required.
.PP
As an example of using a different mailer, if you use elm, 
you might want to change the mailer commad to:
.sp 2
.in +10
"elm -s\\"%s\\" %s > /dev/null"
.in -10
.sp 2
The difference here is that elm prints out a few messages when it runs in
batch mode and you should send those to /dev/null.


.SH "PROJECTS"
.PP
A Project is
just a name and a color, nothing more.  You specify a project name,
give it a color, and later assign notes to that project.  Once assigned,
the notes text background will assume the color specified for that project.

.PP
Projects are defined through the Projects dialog, accessible from the
main menu's ``Projects'' option.  The Motif dialog has two scrolled windows:
a list of the colors defined in the rgb.txt color database and a list of
configured projects.  Below the latter is a text field where you can type
in the name of a project, or edit the name of the currently selected
project.  The Gtk version uses the Gtk Color Selection dialog to choose a
color. This is a little nicer than the Motif one since you're only likely
to get available colors in the Gtk version no matter what color depth to
which your display is set.  To select a color in Motif, select an entry
from the list of color names.  To select a color in Gtk, left mouse click 
on the "Sample Note Text".

.PP
.B The Motif Version of Projects
.br
To add a new project in the Motif version, type in its name in the text 
field.  Then select a
color from the list of color names.  On low color displays you may have to
search for awhile till you find one that works.  If the color can be
allocated for use, the sample text below the text field where you typed the
projects name will change colors to show you how the note will look.  When
you've got the right color, click on the Accept button and the project will
be added to the scrolled projects list.

.PP
.B The Gtk Version of Projects
.br
In the Gtk version you need only type in the new Project name and then
click on the "Sample Note Text" to open the Color Selection dialog.  Once
you've selected a color, close the Color Selection dialog, then click on
the Accept button in the Projects dialog.  The new project will be added to
the end of the list of available projects.

.PP
In either version
you can change the color of an existing project by clicking on the projects
name.  The project name is displayed in the text field and the sample text
background is updated with the currently configured color.  Just select
another color and click on the Accept button.  The update is immediate.
When you are done with configuring projects just click on the Close button
at the bottom of the dialog.  

.PP
A sample projects file for both the Gtk and Motif versions should have been
part of the distribution you received.  This file is ordinary text and you
can hand edit it by hand if you prefer.  However, note that the Gtk and
Motif versions of this file are not the same.  You're probably better off
letting XNotesPlus manage this file for you.

.PP
In order to assign a note to a specific project you simply choose the
``Projects'' option from the notes menu in the XNote you wish to update.
The Change Project dialog opens with a scrolled list of projects to choose
from and a bit of sample text to show what the effect will be.  When you've
made your selection, click on the Accept button and the note will
automatically be updated.  Don't forget to save the note!


.SH "AUDIO ALARMS"
.PP
Alarms in 
.BR XNotesPlus
can be set to go off at any time, allowing you to use the program as a
automated reminder service.  Earlier versions of 
.BR XNotesPlus
simply popped up a window to let you know the alarm has expired.  
Now, using an audio player of your choice, you can have an audio reminder to go
with the visual one.

.PP
To configure an audio player, use the --audiocmd command line option, 
the .audioCmd resource (for Motif) or the audiocmd entry in the config file
(for GTK).  The format of the command string follows the same conventions
as the email command, where printf() style arguments are used to specify
the volume to play the audio file and the file name, in that order.

.PP
The default audio program configured is the ubiquitous 
.I sox.
This tool works well on both Linux and Solaris systems and I suspect it will
work well with other Unix OS's.  The format of the default command is as
follows:

.sp 2
.in +10
"sox -v %d %s -t .au /dev/audio"
.in -10
.sp 2

The %s represents the name of the audio file and the %d is the volume to
play the file.  The volume setting may not actually work
with some versions of Sox, but it's still a required parameter.  I know I
couldn't get it to work properly no matter what volume settings I passed
sox.

.PP
Audio players must be capable of playing whatever audio files you place in
the audio directory (usually $HOME/.xnotesplus/audio-d).  The audio files
you received with the
.BR XNotesPlus
package should have contained a set of .wav audio files, but you can add
whatever other audio files you like as long as the audio player understands
how to play them.


.SH "USING PILOT TOOL"
.PP
One of the newest features to be added to
.BR XNotesPlus
is the Pilot Tool.  A recent gift of a Palm Pilot Pro enticed me to find
the \fIpilot-link\fP software, a set of command line tools 
used to communicate between the Pilot and a
Unix system.  These tools are quite simple to use and lend themselves well
to being called from other programs.  Naturally I decided it was time to
update XNotePlus so I could sync memos with my notes.

.PP
The Pilot Tool dialog is broken into 3 main pieces:  Pilot Memos, Pilot
Addresses, and Pilot Sync.  Pilot Memos consists of a scrolled list, two
toggle buttons and two push buttons.  The toggle buttons determine which
direction you're going to go:  Import means you are importing Pilot Memos
into XNotes, Export means you are exporting XNotes out to the Pilot as
Memos.  The Fetch push button will retrieve either the list of XNotes (for
exporting) or the list of memos from the Pilot (if importing) and place
them in the scrolled list.  You can select one or more of these from the
list and then click on the Process button.  This will determine which
XNotes to convert to Memos or which Memos to convert to XNotes.

.PP
The Pilot Addresses feature is the simplest of the bunch:  just click on
the button and the Pilot's Addresses database will be retrieved.  The data
is stored in a file called xnaddresses, generally under the
$HOME/.xnotesplus/pilot directory, although this is configurable with
command line options, etc.

.PP
Pilot Sync will do backups of your Pilot to local directories.  There are
actually 4 types of backups:  Backup, Restore, Sync and Update.  Check with
the \fIpilot-link\fP software for details to what each of these really does.
Generally, you can use the Backup type to make backups and Restore to
restore them should your Pilot crash for some reason.  Sync will simply
update an existing backup so it matches the current Pilot data.

.PP
The file button will open a File Selection window that allows you to
specify a directory to use for backups.  The default directory (or any
directory you select from the File Selection window) is displayed in the
text field next to the file button.  You can type in any directory you want
there as well.  If the directory does not exist then it will be created, if
possible, before the backup process is started.  Additionally, you can
remove or rename the directory specified using one of the appropriate
buttons (``Remove Dir'' or ``Rename Dir'').  When you are ready to start
the backup or restore process, click on the Start Transfer button.

.PP
Once any communication with the Pilot is about to begin you will be
prompted to press the Hot Sync button on the Pilot's cradle.  Once the data
transfer has started you won't be able to do anything else with
.BR XNotesPlus
until the transfer completes.  In future versions I may try to fix this.
It depends on if anyone complains about it or not.

.PP
Before you can even have access to the Pilot Tool you must set the following
environment variables.  If these are not set you will not get the Pilot
Tool option in the Plaid Window's main menu.

.TP 8
.B \PILOTPORT
Specifies the serial port to which the Pilot's cradle is connected.  For
many PC-Unix users (eg Linux, Solairs x86) this will be something 
like /dev/cua1 or /dev/ttyS01.

.TP 8
.B \PILOTRATE
You need to also specify the speed at which transfers should be done.
Although this isn't really required by the \fIpilot-link\fP software, it
helps speed things up.  The value you should use is probably 57600, but
that may be dependent on your serial ports.  It seems to work fine on PCs
with 16550 UARTS on the serial ports at least.

.PP
.SH USING THE ADDRESS MANAGER

The 
.BR Address Manager
is a nearly complete implementation under XNotesPlus of the Pilot's user 
interface to the Pilot Address database.  The only thing you can't do is
edit the entries and sync them with the Pilot.  That feature is missing due
to limitations in the Pilot-Link software's ability to update individual
entries in the Pilot's Address database.
.PP
.BR \s-1WARNING\s0 :
In order to use the Address Manager you must download your address database
from the Pilot again (using the Pilot Tool feature), even if you've already 
done so in the past.  The
Address Manager relies on some new features in the Pilot-Link software
in order to obtain category information.  If you try to run Address Manager
using the old format of the xnaddress file, XNotesPlus may crash!  If
you're version of Pilot Link doesn't support these features then you'll
have to use the old version of xnaddress and will only be able to use the
old Envelope feature - Address Manager will not be available.  See the
config.h file for details about how to find out if your Pilot-Link software
is compatible with the Address Manager.

.PP
The dialog window for the Address Manager contains a scrollable list of 
names on the left.  On the right is a menu of available categories, just as
they are in the Pilot.  Selecting a new category will filter the names on
the left to only those entries in that category.  Below the categories menu
is a menu for filtering the list of names even more.  You can filter on the
last name field, first name field, or city or state fields.  Below this menu 
is a text field for entering a string to filter on in the selected field.
The string is case insensitive and does not have to be a complete word.

.PP
Below the Filter options is a text area with an XNotesPlus logo.  Here is
where the complete contents of the currently selected Address entry is
displayed.  Click on any entry in the list and this area is updated
automatically.  If you deselect the current entry (ie no names are
selected) then an appropriate message is displayed here.  Note that only
one entry from the list of names can be selected at any given time.

.PP
At the bottom of the dialog are two buttons, one for closing the dialog
(the Close button) and one for opening the Print Envelopes dialog.

.SH "PRINTING ENVELOPES"
.PP
Another recent feature addition to
.BR XNotesPlus
is the Envelopes dialog.  This window allows you to specify simple headers
for printing on either #6 (letter) or #10 (legal) sized envelopes.  The
window contains 2 scrolled text windows, an options menu of Point Sizes to
use for the printed text, a set of toggle buttons for choosing the envelope
size, a toggle to use Bold characters and a text input field for specifying
the name of the printer to use.
.PP
.BR \s-1NOTE\s0 :
The Print Envelopes dialog works slightly differently depending on if the 
Address Manager is enabled or not.  It is also opened differently - with
the Address Manager you access it from the Address Manager dialog.  Without
Address Manager it is accessed from the Plain Window's main menu.
See below for the different ways this dialog functions.

.PP
The scrolled window labeled ``From:'' will be filled with your personal
address from the ``id'' file normally found in your $HOME/.xnotesplus
directory.  If this file does not exist then this field will be blank.  You
can type in any text you want for the From: address.  Pressing the Save
button just below the scrolled window will save the text to your id file.

.PP
.B The To: Window without Address Manager
.PP
Without Address Manager,
the scrolled window labeled ``To:'' works like the ``From:'' window except
it has a Load button.  This button will open a scrolled list of addresses
taken from your Palm Pilot's Addresses database, if any.  If no entries
exist then an error dialog is presented stating the local database could
not be opened.  To access the Pilot's databases you first need to use the
Addresses Fetch feature of the Pilot Tool dialog.  See the section on
.B USING PILOT TOOL
for more information.

.PP
.B The To: Window with Address Manager
.PP
With Address Manager, the From: field is automatically filled in whenever
you make a selection from the list of names in the Address Manager window.
In this case, there is no Load button in the Print Envelope dialog (since
it is no longer needed).

.PP
The point size menu gives the list of available point sizes for the output.
The envelope will print in postscript using the nenscript program (which
must be in your path in order to work).  The point
size is passed as an argument to nenscript.  The printer field is also
passed to nenscript, however this is different than the printer command
used to print notes.  With the Envelope dialog, the printer specified
should be the printer name, not the command used to print.  Nenscript will
handle the printing - it just needs to know which printer to use.  This is
a little confusing and I hope to have a better solution for it in a future
release with better Print support.

.PP
The toggles for setting the envelope size will simply determine how the
temporary file passed to nenscript will be formatted.  The formats are
chosen to fit on their respective envelopes, but other than that the sizes
are not really exact.  Again, this will change with better support for
printing, hopefully in the 4.0 release of XNotesPlus.

.SH "KEYBOARD SHORTCUTS"
.PP
Many of
.B XNotesPlus
features are accessible directly from the keyboard.  The key combinations,
known as 
.I keyboard shortcuts,
.I mnemonics,
or
.I accelerators,
can be used while any XNote or the Plaid Window has keyboard focus - which
means you have to click on the window first at least once or, if you're
window manager supports it, have AutoFocus turned on so keyboard focus
follows the mouse location.  

.PP
Keyboard
shortcuts are most useful when used from within the XNotes themselves.
Note:  Both the Motif and Gtk text widgets are configured to use their
default keyboard editing functions, which I believe is mostly Emacs style 
editing (not that I know how anything about those bindings - I use vi).

.PP
The following describes the keyboard shortcuts available by default from
any XNote and the functions associated with them.  Note that the key
sequences are case sensitive.

.B Note Specific Options:
.PP

.TP 8
.B ALT-t
Opens the alarm (timer) window.

.TP 8
.B ALT-a
Toggles the anchor for the current note.

.TP 8
.B ALT-h
Hides the current note.

.TP 8
.B ALT-e
Erases the current note.

.TP 8
.B ALT-d
Prompts the user to destroy the current note.

.TP 8
.B ALT-n
Opens the Title For Note dialog.

.TP 8
.B ALT-P
Opens the Projects dialog for configuring projects (not the Change Project
dialog).

.TP 8
.B ALT-c
Inserts a calendar at the current cursor position.

.TP 8
.B ALT-D
Opens the Insert Date dialog.

.TP 8
.B ALT-s
Saves the current note.

.TP 8
.B ALT-o
Opens the File Selection window for importing a file to the current note.

.TP 8
.B ALT-x
Opens the File Selection window for exporting the current note.

.TP 8
.B ALT-f
Opens the Search dialog, for finding text within a note.

.TP 8
.B ALT-p
Prints the current note.

.TP 8
.B ALT-m
Opens the Email Note dialog.

.PP
.B General Options

.TP 8
.B ALT-A
Opens the Address Manager dialog.

.TP 8
.B ALT-E
Opens the Envelopes dialog.

.TP 8
.B ALT-q or ALT-Q
Quits XNotesPlus. If save on exit has been enabled then modified notes will
be saved.  If not, you will be prompted as to whether or not you want to
save them.

PP
The following are the default bindings for mouse and keyboard actions
associated with the Plaid Window.  Note that the mapping of Button 1,
Button 2, and Button 3 to real mouse buttons depends on your X server.  
Check your X server documentation for details on this mapping.

.TP 8
.B Click mouse button 1
Raises all notes above any other windows on the display.

.TP 8
.B Click mouse button 2
Lowers all notes beneath any other windows on the display.

.TP 8
.B Press and hold mouse button 3
Presents the xnotes+ main menu.

.TP 8
.B Mouse button 1 down, hold, drag out of window
Tears off a new 3x3 note.

.TP 8
.B ALT-q or ALT-Q
Quits XNotesPlus. If save on exit has been enabled then modified notes will
be saved.  If not, you will be prompted as to whether or not you want to
save them.


.SH "SEE ALSO"
X(1), pilot-xfer(1) and any of the PilotLink software, cal(1), mail(1),
lp(1) or lpr(1), sox(1)

.SH BUGS
.PP

.B In General
.PP
The sizes of the XNotes are only as accurate as the display
dimension and resolution returned by the server.
On the Sun server and possibly others,
this means they may not be all that accurate.

.PP
The Dialog used to name a note doesn't limit the number of characters that
can be used in a name, although it does prevent (by use of translations)
a user from putting a newline in the text.  The drawback to not limiting
the length of the name is that the dialog box's text field won't resize
to the right as characters are typed off the right hand edge of the
field, although it will scroll that way. 

.PP
Color selection using the rgb file for low color displays using the Motif
version sucks.  I have
some ideas for an alternative method, but don't
know when I'll actually get around to implementing it.
In the mean time, just hand edit the projects file with colors you already
use for some of your other applications or window manager.

.PP
You can't delete projects from the Projects dialog yet.  You also can't
change the name of a project.  To do either, edit the projects file by
hand.  Look at the xnprojects or xnprojects-gtk file in the data directory.

.PP
In the older XPostitPlus,
the -c option was reported to not read in old notes properly.  It would eat
the first line.  This can be worked around by adding a blank line to the
old notes.  However, I couldn't reproduce this problem.  I suggest creating
a backup of your old notes before trying to run with the -c option, just in
case.

.PP
Without a color display for canary yellow notes and the logo in the Plaid
Window, the aesthetic value of
.I xnotes+
cannot be fully appreciated.

.B GTK Version
.PP
The GTK version has a few bugs, mostly related to the GTkText widget.
There are also some bugs in the widget that may cause XNotesPlus to crash.  
The GtkText widget is still a work in progress, so perhaps these problems 
will go away with time.  

.PP
One other problem with GTK is that I haven't figured out how to prevent 
resizing of windows.  Doing so can prevent odd redistributions of some
window components - especially when there is no real need to resize.
If you resize the windows (except the note window itself, of course), 
you're on your own!

.PP
No, the GTK port will not be part of GNOME, although if possible 
it will be GNOME compliant in the future.  I also intend to make it KDE
compliant.  Probably for the 4.0 release.

.B Motif Version
.PP
If you use LessTif, beware the window resizing that happens when you set
alarms or anchor a note!  What happens is that the icon in the menu bar
changes, and for some reason that causes LessTif to resize the note window.
This doesn't happen with Motif, so I assume it's a LessTif bug.  I'll try
to work around this in a future release.

.SH AUTHOR
Originally based on xpostit by David A. Curry, SRI International
.sp
XNotesPlus and XPostitPlus are both written and copyrighted by 
Michael J. Hammel (mjhammel@graphics-muse.org).

.PP
.IR Post-It
and the plaid design are registered trademarks of 3M.

.PP
The \fISOX\fP (audio) software can be found at http://www.spies.com/Sox/.
More recent versions (ie a new distribution) can be found at
http://home.sprynet.com/sprynet/cbagwell/projects.html.

.PP
.IR Nenscript,
by Craig Southeren, is a freely redistributable program to convert
ASCII files into Postscript. It is made available with XNotesPlus
as a service to my users and through Craig's (and CSA's -
his employer at the time) kind graces.  Current releases can be found at
http://www.im.lcs.mit.edu/~magnus/nenscript/.

.PP
The 
.IR pilot-link
software can be found at 

.TP 8
.B Generic UNIX
ftp://ryeham.ee.ryerson.ca/pub/PalmOS

.TP 8
.B RedHat RPM's
ftp://ftp.redhat.com/pub/contrib/i386/pilot-link-<latest>.rpm

.TP 8
.B Debian
ftp://ftp.debian.org/debian/hamm/hamm/binary-i386/otherosfs/pilot-link-<latest>.deb

